STRUC(3)

NAME
boost::intrusive::unordered_default_bucket_traits

SYNOPSIS

// In header: <boost/intrusive/hashtable.hpp>
template<typename ValueTraitsOrHookOption>
struct unordered_default_bucket_traits {
  // types
  typedef ValueTraitsOrHookOption::template pack< none >::value_traits supposed_value_traits;
  typedef unspecified                                                  slist;
  typedef unspecified                                                  implementation_defined;
  typedef implementation_defined                                       type;
};

DESCRIPTION

This metafunction will obtain the type of the default bucket traits (when the user does not specify the bucket_traits<> option) from the value_traits or hook option to be used with a hash container.